devel/ruby-deep_merge - The NetBSD Packages Collection

Merge Deeply Nested Hashes

DeepMerge Overview
==================

Deep Merge is a simple set of utility functions for Hash.  It permits you to
merge elements inside a hash together recursively.  The manner by which it
does this is somewhat arbitrary (since there is no defining standard for
this) but it should end up being pretty intuitive and do what you expect.

You can learn a lot more about this by reading the test file. It's pretty
well documented and has many examples of various merges from very simple to
pretty complex.

The primary need that caused me to write this library is the merging of
elements coming from HTTP parameters and related stored parameters in
session.  This lets a user build up a set of parameters over time, modifying
individual items.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/ruby27-base

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfruby26-deep_merge-1.2.1.tgz
NetBSD 8.0earmv7hfruby27-deep_merge-1.2.1.tgz
NetBSD 8.0earmv7hfruby25-deep_merge-1.2.1.tgz
NetBSD 8.0earmv7hfruby26-deep_merge-1.2.1.tgz
NetBSD 8.0earmv7hfruby27-deep_merge-1.2.1.tgz
NetBSD 8.0earmv7hfruby26-deep_merge-1.2.1.tgz
NetBSD 8.0earmv7hfruby27-deep_merge-1.2.1.tgz
NetBSD 8.0i386ruby25-deep_merge-1.2.1.tgz
NetBSD 8.0i386ruby26-deep_merge-1.2.1.tgz
NetBSD 8.0i386ruby27-deep_merge-1.2.1.tgz
NetBSD 8.0i386ruby26-deep_merge-1.2.1.tgz
NetBSD 8.0i386ruby27-deep_merge-1.2.1.tgz
NetBSD 8.0powerpcruby24-deep_merge-1.2.1.tgz
NetBSD 8.0powerpcruby25-deep_merge-1.2.1.tgz
NetBSD 8.0powerpcruby26-deep_merge-1.2.1.tgz
NetBSD 8.0powerpcruby27-deep_merge-1.2.1.tgz
NetBSD 8.0powerpcruby24-deep_merge-1.2.1.tgz
NetBSD 8.0powerpcruby25-deep_merge-1.2.1.tgz
NetBSD 8.0powerpcruby26-deep_merge-1.2.1.tgz
NetBSD 8.0powerpcruby27-deep_merge-1.2.1.tgz
NetBSD 8.0powerpcruby24-deep_merge-1.2.1.tgz
NetBSD 8.0powerpcruby25-deep_merge-1.2.1.tgz
NetBSD 8.0powerpcruby26-deep_merge-1.2.1.tgz
NetBSD 8.0powerpcruby27-deep_merge-1.2.1.tgz
NetBSD 8.0powerpcruby24-deep_merge-1.2.1.tgz
NetBSD 8.0powerpcruby25-deep_merge-1.2.1.tgz
NetBSD 8.0powerpcruby26-deep_merge-1.2.1.tgz
NetBSD 8.0powerpcruby27-deep_merge-1.2.1.tgz
NetBSD 8.0x86_64ruby25-deep_merge-1.2.1.tgz
NetBSD 8.0x86_64ruby26-deep_merge-1.2.1.tgz
NetBSD 8.0x86_64ruby27-deep_merge-1.2.1.tgz
NetBSD 8.0x86_64ruby26-deep_merge-1.2.1.tgz
NetBSD 8.0x86_64ruby27-deep_merge-1.2.1.tgz
NetBSD 9.0aarch64ruby26-deep_merge-1.2.1.tgz
NetBSD 9.0aarch64ruby27-deep_merge-1.2.1.tgz
NetBSD 9.0aarch64ruby30-deep_merge-1.2.1.tgz
NetBSD 9.0aarch64ruby25-deep_merge-1.2.1.tgz
NetBSD 9.0aarch64ruby26-deep_merge-1.2.1.tgz
NetBSD 9.0aarch64ruby27-deep_merge-1.2.1.tgz
NetBSD 9.0aarch64ruby30-deep_merge-1.2.1.tgz
NetBSD 9.0aarch64ruby26-deep_merge-1.2.1.tgz
NetBSD 9.0aarch64ruby27-deep_merge-1.2.1.tgz
NetBSD 9.0aarch64ruby30-deep_merge-1.2.1.tgz
NetBSD 9.0alpharuby25-deep_merge-1.2.1.tgz
NetBSD 9.0alpharuby26-deep_merge-1.2.1.tgz
NetBSD 9.0alpharuby27-deep_merge-1.2.1.tgz
NetBSD 9.0alpharuby25-deep_merge-1.2.1.tgz
NetBSD 9.0alpharuby26-deep_merge-1.2.1.tgz
NetBSD 9.0alpharuby27-deep_merge-1.2.1.tgz
NetBSD 9.0alpharuby25-deep_merge-1.2.1.tgz
NetBSD 9.0alpharuby26-deep_merge-1.2.1.tgz
NetBSD 9.0alpharuby27-deep_merge-1.2.1.tgz
NetBSD 9.0earmv6hfruby26-deep_merge-1.2.1.tgz
NetBSD 9.0earmv6hfruby27-deep_merge-1.2.1.tgz
NetBSD 9.0earmv6hfruby30-deep_merge-1.2.1.tgz
NetBSD 9.0earmv6hfruby25-deep_merge-1.2.1.tgz
NetBSD 9.0earmv6hfruby26-deep_merge-1.2.1.tgz
NetBSD 9.0earmv6hfruby27-deep_merge-1.2.1.tgz
NetBSD 9.0earmv6hfruby30-deep_merge-1.2.1.tgz
NetBSD 9.0earmv6hfruby26-deep_merge-1.2.1.tgz
NetBSD 9.0earmv6hfruby27-deep_merge-1.2.1.tgz
NetBSD 9.0earmv6hfruby30-deep_merge-1.2.1.tgz
NetBSD 9.0earmv7hfruby26-deep_merge-1.2.1.tgz
NetBSD 9.0earmv7hfruby27-deep_merge-1.2.1.tgz
NetBSD 9.0earmv7hfruby30-deep_merge-1.2.1.tgz
NetBSD 9.0earmv7hfruby25-deep_merge-1.2.1.tgz
NetBSD 9.0earmv7hfruby26-deep_merge-1.2.1.tgz
NetBSD 9.0earmv7hfruby27-deep_merge-1.2.1.tgz
NetBSD 9.0earmv7hfruby30-deep_merge-1.2.1.tgz
NetBSD 9.0earmv7hfruby26-deep_merge-1.2.1.tgz
NetBSD 9.0earmv7hfruby27-deep_merge-1.2.1.tgz
NetBSD 9.0earmv7hfruby30-deep_merge-1.2.1.tgz
NetBSD 9.0earmv7hfruby26-deep_merge-1.2.1.tgz
NetBSD 9.0earmv7hfruby27-deep_merge-1.2.1.tgz
NetBSD 9.0earmv7hfruby30-deep_merge-1.2.1.tgz
NetBSD 9.0i386ruby25-deep_merge-1.2.1.tgz
NetBSD 9.0i386ruby26-deep_merge-1.2.1.tgz
NetBSD 9.0i386ruby27-deep_merge-1.2.1.tgz
NetBSD 9.0i386ruby30-deep_merge-1.2.1.tgz
NetBSD 9.0i386ruby26-deep_merge-1.2.1.tgz
NetBSD 9.0i386ruby27-deep_merge-1.2.1.tgz
NetBSD 9.0i386ruby30-deep_merge-1.2.1.tgz
NetBSD 9.0mips64ebruby25-deep_merge-1.2.1.tgz
NetBSD 9.0mips64ebruby26-deep_merge-1.2.1.tgz
NetBSD 9.0mips64ebruby27-deep_merge-1.2.1.tgz
NetBSD 9.0mips64ebruby30-deep_merge-1.2.1.tgz
NetBSD 9.0mips64ebruby25-deep_merge-1.2.1.tgz
NetBSD 9.0mips64ebruby26-deep_merge-1.2.1.tgz
NetBSD 9.0mips64ebruby27-deep_merge-1.2.1.tgz
NetBSD 9.0mips64ebruby25-deep_merge-1.2.1.tgz
NetBSD 9.0mips64ebruby26-deep_merge-1.2.1.tgz
NetBSD 9.0mips64ebruby27-deep_merge-1.2.1.tgz
NetBSD 9.0mips64ebruby25-deep_merge-1.2.1.tgz
NetBSD 9.0mips64ebruby26-deep_merge-1.2.1.tgz
NetBSD 9.0mips64ebruby27-deep_merge-1.2.1.tgz
NetBSD 9.0mips64ebruby25-deep_merge-1.2.1.tgz
NetBSD 9.0mips64ebruby26-deep_merge-1.2.1.tgz
NetBSD 9.0mips64ebruby27-deep_merge-1.2.1.tgz
NetBSD 9.0mips64ebruby30-deep_merge-1.2.1.tgz
NetBSD 9.0powerpcruby24-deep_merge-1.2.1.tgz
NetBSD 9.0powerpcruby25-deep_merge-1.2.1.tgz
NetBSD 9.0powerpcruby26-deep_merge-1.2.1.tgz
NetBSD 9.0powerpcruby27-deep_merge-1.2.1.tgz
NetBSD 9.0powerpcruby30-deep_merge-1.2.1.tgz
NetBSD 9.0powerpcruby24-deep_merge-1.2.1.tgz
NetBSD 9.0powerpcruby25-deep_merge-1.2.1.tgz
NetBSD 9.0powerpcruby26-deep_merge-1.2.1.tgz
NetBSD 9.0powerpcruby27-deep_merge-1.2.1.tgz
NetBSD 9.0powerpcruby30-deep_merge-1.2.1.tgz
NetBSD 9.0powerpcruby24-deep_merge-1.2.1.tgz
NetBSD 9.0powerpcruby25-deep_merge-1.2.1.tgz
NetBSD 9.0powerpcruby26-deep_merge-1.2.1.tgz
NetBSD 9.0powerpcruby27-deep_merge-1.2.1.tgz
NetBSD 9.0powerpcruby30-deep_merge-1.2.1.tgz
NetBSD 9.0powerpcruby24-deep_merge-1.2.1.tgz
NetBSD 9.0powerpcruby25-deep_merge-1.2.1.tgz
NetBSD 9.0powerpcruby26-deep_merge-1.2.1.tgz
NetBSD 9.0powerpcruby27-deep_merge-1.2.1.tgz
NetBSD 9.0powerpcruby30-deep_merge-1.2.1.tgz
NetBSD 9.0sparc64ruby25-deep_merge-1.2.1.tgz
NetBSD 9.0sparc64ruby26-deep_merge-1.2.1.tgz
NetBSD 9.0sparc64ruby27-deep_merge-1.2.1.tgz
NetBSD 9.0sparc64ruby30-deep_merge-1.2.1.tgz
NetBSD 9.0sparc64ruby25-deep_merge-1.2.1.tgz
NetBSD 9.0sparc64ruby26-deep_merge-1.2.1.tgz
NetBSD 9.0sparc64ruby27-deep_merge-1.2.1.tgz
NetBSD 9.0sparc64ruby30-deep_merge-1.2.1.tgz
NetBSD 9.0sparc64ruby25-deep_merge-1.2.1.tgz
NetBSD 9.0sparc64ruby26-deep_merge-1.2.1.tgz
NetBSD 9.0sparc64ruby27-deep_merge-1.2.1.tgz
NetBSD 9.0sparc64ruby30-deep_merge-1.2.1.tgz
NetBSD 9.0sparcruby25-deep_merge-1.2.1.tgz
NetBSD 9.0sparcruby27-deep_merge-1.2.1.tgz
NetBSD 9.0sparcruby25-deep_merge-1.2.1.tgz
NetBSD 9.0sparcruby27-deep_merge-1.2.1.tgz
NetBSD 9.0sparcruby25-deep_merge-1.2.1.tgz
NetBSD 9.0sparcruby27-deep_merge-1.2.1.tgz
NetBSD 9.0sparcruby25-deep_merge-1.2.1.tgz
NetBSD 9.0sparcruby27-deep_merge-1.2.1.tgz
NetBSD 9.0sparcruby25-deep_merge-1.2.1.tgz
NetBSD 9.0sparcruby27-deep_merge-1.2.1.tgz
NetBSD 9.0sparcruby30-deep_merge-1.2.1.tgz
NetBSD 9.0x86_64ruby26-deep_merge-1.2.1.tgz
NetBSD 9.0x86_64ruby27-deep_merge-1.2.1.tgz
NetBSD 9.0x86_64ruby30-deep_merge-1.2.1.tgz
NetBSD 9.0x86_64ruby26-deep_merge-1.2.1.tgz
NetBSD 9.0x86_64ruby27-deep_merge-1.2.1.tgz
NetBSD 9.0x86_64ruby30-deep_merge-1.2.1.tgz
NetBSD 9.0x86_64ruby25-deep_merge-1.2.1.tgz
NetBSD 9.0x86_64ruby26-deep_merge-1.2.1.tgz
NetBSD 9.0x86_64ruby27-deep_merge-1.2.1.tgz
NetBSD 9.0x86_64ruby30-deep_merge-1.2.1.tgz
NetBSD 9.0x86_64ruby26-deep_merge-1.2.1.tgz
NetBSD 9.0x86_64ruby27-deep_merge-1.2.1.tgz
NetBSD 9.0x86_64ruby30-deep_merge-1.2.1.tgz
NetBSD 9.0x86_64ruby26-deep_merge-1.2.1.tgz
NetBSD 9.0x86_64ruby27-deep_merge-1.2.1.tgz
NetBSD 9.0x86_64ruby30-deep_merge-1.2.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.